# Uses of Interface
com.sun.source.tree.MethodInvocationTree

Packages that use MethodInvocationTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of MethodInvocationTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type MethodInvocationTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitMethodInvocation(MethodInvocationTree node, P p)`
Visits a `MethodInvocationTree` node.

## Uses of MethodInvocationTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type MethodInvocationTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitMethodInvocation(MethodInvocationTree node, P p)`
Visits a `MethodInvocationTree` node.
`R`
TreeScanner.`visitMethodInvocation(MethodInvocationTree node, P p)`
Visits a `MethodInvocationTree` node.